### Function

# Gimp context_set_pattern

#### Declaration [src]

    gboolean
    gimp_context_set_pattern (
      const gchar* name
    )

#### Description [src]

Set the specified pattern as the active pattern.

This procedure allows the active pattern to be set by specifying its name. The name is simply a string which corresponds to one of the names of the installed patterns. If there is no matching pattern found, this procedure will return an error. Otherwise, the specified pattern becomes active and will be used in all subsequent paint operations.

Available since: | 2.2

#### Parameters

`name` | `const gchar*`
| The name of the pattern.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| TRUE on success.